module Opts where

import qualified Board
import Network(PortID)


data GameType   = Continuous | OneGame Int | ManyGames Int
                | OneGamePlayers [(Int,Board.Pos,String)]
                            -- the Int should be Robo.ID

data Verbosity  = Quiet | Normal | Chatty deriving (Eq,Ord)

data Option mapF packF = Opt
  { portNum   :: PortID 
  , gameType  :: GameType
  , mapFile   :: mapF
  , packFile  :: packF
  , fuel      :: Integer
  , capacity  :: Integer
  , initPos   :: Board.Pos
  , initPoses :: [Board.Pos]
  , verbosity :: Verbosity
  , timeout   :: Maybe Int
  }

